Physically print the stored PDF files of marketplace external documents using the configured PDF print template set.
curl --request POST \
--url https://api.jtl-cloud.com/erp/v2/marketplace/orders/print-external-document \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"documentFileIds": [
"b45f6432-2462-4c6f-b00f-1d9d01000000"
]
}
'import requests
url = "https://api.jtl-cloud.com/erp/v2/marketplace/orders/print-external-document"
payload = { "documentFileIds": ["b45f6432-2462-4c6f-b00f-1d9d01000000"] }
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({documentFileIds: ['b45f6432-2462-4c6f-b00f-1d9d01000000']})
};
fetch('https://api.jtl-cloud.com/erp/v2/marketplace/orders/print-external-document', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Marketplace Order
Physically print the stored PDF files of marketplace external documents using the configured PDF print template set.
Physically print the stored PDF files of marketplace external documents using the configured PDF print template set.
POST
/
v2
/
marketplace
/
orders
/
print-external-document
Physically print the stored PDF files of marketplace external documents using the configured PDF print template set.
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Body
application/json
Request parameters
Physically print the stored PDF files of marketplace external documents using the configured PDF print template set. - Request
Document file ids of the external documents whose PDF files should be printed.
Response
Successfully sent the external document PDF files to the printer.
Was this page helpful?
⌘I